<?php
class daba {
  private static $link = null ;

  private static function getLink ( ) {
    if ( self :: $link ) {
      return self :: $link ;
    }

		try {
			if (!file_exists(PDO_INI)) {
				throw new Exception("Can't find DB.ini " . PDO_INI . "!"); 
			}
			$parse = parse_ini_file(PDO_INI,true);
		}
		catch (Exception $e) {
			echo $e->getMessage();
			throw $e;
		}

		$driver = $parse [ "db_driver" ] ;
		$dsn = "${driver}:" ;
		$user = $parse [ "db_user" ] ;
		$password = $parse [ "db_password" ] ;
		$options = $parse [ "db_options" ] ;
		$attributes = $parse [ "db_attributes" ] ;

		foreach ( $parse [ "dsn" ] as $k => $v ) {
			$dsn .= "${k}=${v};" ;
		}

		try {
			self :: $link = new PDO ( $dsn, $user, $password, $options ) ;
		}

		catch(PDOException $e) {
			echo "There has been a PDO-Exception!<br>";
			echo $e->getMessage() . '<br>MySQL Error Code: ' . $e->getCode() . '<br>';
			//~ trow new Exception($e-getMessage(),(int)$e->getCode());
		}

		foreach ( $attributes as $k => $v ) {
			self :: $link -> setAttribute ( constant ( "PDO::{$k}" )
				, constant ( "PDO::{$v}" ) ) ;
		}

		return self :: $link ;
	}

  public static function __callStatic ( $name, $args ) {
  //~ public static function __call ( $name, $args ) {
    $callback = array ( self :: getLink ( ), $name ) ;
    return call_user_func_array ( $callback , $args ) ;
  }
}

/*
 * implement like this
$stmt = Databse :: prepare ( "SELECT 'something' ;" ) ;
$stmt -> execute ( ) ;
var_dump ( $stmt -> fetchAll ( ) ) ;
$stmt -> closeCursor ( ) ;
*/
?>
