<?php
# ----------------------------------------------------------------------------
# class_session.php - everyone's favorite session module
#
# Copyright (c) 2016-2018  rundfunk IT services, rundfunk(at)pieli(dot)net
#
# Creation:     2016-12-31 pp
# Last Update: 20.05.2018 13:27:14Z pieli $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
# ----------------------------------------------------------------------------

class Session
{

    public static $sessionFlashName = '__FlashBack';

    public function __construct() {
			self::start();
    }

    public static function start() {
        @ini_set('session.use_only_cookies', 'Off');
        @ini_set('session.use_cookies', 'On');
        @ini_set('session.use_trans_sid', 'Off');
        @ini_set('session.cookie_httponly', 'On');

        if (isset($_COOKIE[session_name()]) && !preg_match('/^[a-zA-Z0-9,\-]{22,52}$/', $_COOKIE[session_name()])) {
            exit('Error: Invalid session ID!');
        }

        @session_set_cookie_params(0, '/');
        @session_start();
    }

    public static function id() {
        return sha1(session_id());
    }

    public static function regenerate() {
        session_regenerate_id(true);
    }

    /**
     * [exists description]
     * @param  [type] $name [description]
     * @return [type]       [description]
     */
    public static function exists($name) {
        if(isset($name) && $name != '') {
            if(isset($_SESSION[$name])) {
                return true;
            }
        }

        return false;
    }

    /**
     * [set description]
     * @param [type] $name  [description]
     * @param [type] $value [description]
     */
    public static function set($name='', $value='') {
        if($name != '' && $value != '') {
            $_SESSION[$name] = $value;
        }
    }

    /**
     * [get description]
     * @param  [type] $name [description]
     * @return [type]       [description]
     */
    public static function get($name) {
        if(self::exists($name)) {
            return $_SESSION[$name];
        }

        return false;
    }

    /**
     * [del description]
     * @param  [type] $name [description]
     * @return [type]       [description]
     */
    public static function del($name) {
        if(self::exists($name)) {
            unset($_SESSION[$name]);
        }
    }

    /**
     * [destroy description]
     * @return void [description]
     */
    public static function destroy() {
        foreach($_SESSION as $sessionName) {
            self::del($sessionName);
        }

        session_destroy();
    }
}
?>
