SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `gutcode`
--

DELIMITER $$
--
-- Functions
--
CREATE DEFINER=`root`@`%` FUNCTION `RandomString` (`length` SMALLINT(3)) RETURNS VARCHAR(100) CHARSET utf8 BEGIN
	SET @returnStr = '';
	SET @allowedChars = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789';
	SET @i = 0;

	WHILE (@i < length) DO
		SET @returnStr = CONCAT(@returnStr, substring(@allowedChars, FLOOR(RAND() * LENGTH(@allowedChars) + 1), 1));
		SET @i = @i + 1;
	END WHILE;

	RETURN @returnStr;
END$$

DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `campaigns`
--

CREATE TABLE `campaigns` (
  `id` int(11) NOT NULL,
  `crdate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `tstamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `active` int(1) NOT NULL DEFAULT '1',
  `title` varchar(60) NOT NULL,
  `mail` int(11) NOT NULL DEFAULT '0',
  `comment` varchar(256) NOT NULL,
  `start` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `stop` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `sent` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `campaigns`
--

INSERT INTO `campaigns` (`id`, `crdate`, `tstamp`, `deleted`, `active`, `title`, `mail`, `comment`, `start`, `stop`, `sent`) VALUES
(1, '2018-09-08 01:19:34', '2018-09-12 12:09:31', 0, 1, 'meine erste Kampagne', 1, 'mit Anja', '2018-09-12 14:08:00', '2018-09-12 14:08:00', 0),
(2, '2018-09-08 02:34:33', '2018-09-12 15:18:26', 0, 1, 'meine zweite Kampagne', 1, 'Für zwischendurch.', '2018-09-15 10:18:00', '2018-09-15 17:18:00', 0),
(3, '2018-09-14 16:39:28', '2018-09-14 17:12:36', 0, 1, 'Eine schnelle Kampagne', 1, 'die mit dem Drall', '2018-09-14 22:39:00', '2018-09-14 22:39:00', 0);

-- --------------------------------------------------------

--
-- Table structure for table `clients`
--

CREATE TABLE `clients` (
  `id` int(11) NOT NULL,
  `crdate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `tstamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `email` varchar(128) NOT NULL DEFAULT '',
  `codes` int(1) NOT NULL DEFAULT '0',
  `campaigns` int(1) NOT NULL DEFAULT '0',
  `sex` int(1) NOT NULL DEFAULT '0',
  `name` varchar(60) NOT NULL DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `clients`
--

INSERT INTO `clients` (`id`, `crdate`, `tstamp`, `deleted`, `email`, `codes`, `campaigns`, `sex`, `name`) VALUES
(1, '2018-09-08 01:28:51', '2018-09-12 06:48:36', 0, 'schlatti@t-online.de', 1, 1, 1, 'Ferdinand Schlattermann'),
(2, '2018-09-09 08:44:04', '2018-09-12 06:41:48', 0, 'testkunde@pieli.net', 1, 1, 1, 'Theo Testuser'),
(3, '2018-09-12 12:53:25', '2018-09-12 12:53:25', 0, 'v.bissener@aol.de', 0, 0, 2, 'Ver Bissener'),
(4, '2018-09-12 15:10:00', '2018-09-14 16:54:18', 0, 'b.flissener@googlemail.com', 1, 1, 2, 'Bettina Flissener');

-- --------------------------------------------------------

--
-- Table structure for table `clients_campaigns`
--

CREATE TABLE `clients_campaigns` (
  `campaign` int(11) NOT NULL,
  `client` int(11) NOT NULL,
  `tstamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `notified` int(1) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `clients_campaigns`
--

INSERT INTO `clients_campaigns` (`campaign`, `client`, `tstamp`, `notified`) VALUES
(1, 1, '2018-09-12 12:09:31', 0),
(1, 2, '2018-09-15 20:23:50', 0),
(2, 1, '2018-09-16 03:23:26', 0),
(3, 4, '2018-09-14 17:12:36', 0);

-- --------------------------------------------------------

--
-- Table structure for table `codes`
--

CREATE TABLE `codes` (
  `code` varchar(8) NOT NULL,
  `crdate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `tstamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `active` int(1) NOT NULL DEFAULT '1',
  `sent` int(1) NOT NULL DEFAULT '0',
  `owner` varchar(128) NOT NULL,
  `link` varchar(256) NOT NULL,
  `campaigns` int(1) NOT NULL DEFAULT '0',
  `visited` int(11) NOT NULL DEFAULT '0',
  `allowed` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `codes`
--

INSERT INTO `codes` (`code`, `crdate`, `tstamp`, `deleted`, `active`, `sent`, `owner`, `link`, `campaigns`, `visited`, `allowed`) VALUES
('01TguuPu', '2018-09-16 03:23:26', '2018-09-08 01:09:47', 0, 1, 0, '10.0.1.252', 'http://spiegel.de', 1, 1, 0),
('0CWGqWeb', '2018-09-16 03:23:26', '2018-09-08 01:09:47', 0, 1, 0, '10.0.1.252', 'http://spiegel.de', 1, 0, 0),
('4FVuuOtJ', '2018-09-14 15:03:17', '2018-09-08 01:09:46', 1, 1, 0, '10.0.1.252', 'http://spiegel.de', 1, 0, 0),
('69gKNzhx', '2018-09-14 15:03:17', '2018-09-08 01:09:46', 1, 1, 0, '10.0.1.252', 'http://spiegel.de', 1, 0, 0),
('AzXVySz1', '2018-09-14 12:24:52', '2018-09-14 12:01:52', 1, 1, 0, 'pieli', 'http://medienberufe.de', 0, 0, 0),
('dQqpAxPk', '2018-09-16 15:56:57', '2018-09-15 16:01:26', 0, 1, 0, 'pieli', 'http://rundfunk.pieli.net/workshops/gutco/', 1, 9, 0),
('INEJwetu', '2018-09-16 03:23:26', '2018-09-08 01:09:47', 0, 1, 0, '10.0.1.252', 'http://spiegel.de', 1, 0, 0),
('l6lf2g5u', '2018-09-16 03:23:26', '2018-09-08 21:18:36', 0, 1, 0, '10.0.1.252', 'http://spiegel.de', 1, 9, 0),
('Rpi8AnZC', '2018-09-16 03:23:26', '2018-09-08 01:09:47', 0, 1, 0, '10.0.1.252', 'http://spiegel.de', 1, 0, 0),
('SM61E0Xz', '2018-09-16 03:23:26', '2018-09-08 01:09:47', 0, 1, 0, '10.0.1.252', 'http://spiegel.de', 1, 0, 0),
('sv0mBLQO', '2018-09-14 17:12:20', '2018-09-14 07:40:43', 0, 1, 0, 'gp16.1', 'http://battle.net', 0, 1, 0),
('wJYseDip', '2018-09-16 15:46:19', '2018-09-08 01:09:47', 1, 1, 0, '10.0.1.252', 'http://spiegel.de', 0, 0, 0),
('ZmE11R3z', '2018-09-16 03:23:26', '2018-09-08 20:36:12', 0, 1, 0, '10.0.1.252', 'http://spiegel.de', 1, 0, 0);

--
-- Triggers `codes`
--
DELIMITER $$
CREATE TRIGGER `codes_before_insert` BEFORE INSERT ON `codes` FOR EACH ROW BEGIN
    declare str_len int default 8;
    declare rnd_str text;

    set rnd_str := (SELECT RANDOMSTRING(str_len));
    set new.code = rnd_str;
END
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Table structure for table `codes_campaigns`
--

CREATE TABLE `codes_campaigns` (
  `campaign` int(11) NOT NULL,
  `code` varchar(8) NOT NULL,
  `tstamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `allowed` int(11) NOT NULL DEFAULT '0',
  `visited` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `codes_campaigns`
--

INSERT INTO `codes_campaigns` (`campaign`, `code`, `tstamp`, `allowed`, `visited`) VALUES
(2, '01TguuPu', '2018-09-16 03:23:26', 0, 0),
(3, '01TguuPu', '2018-09-14 17:12:36', 0, 0),
(2, '0CWGqWeb', '2018-09-16 03:23:26', 0, 0),
(2, 'INEJwetu', '2018-09-16 03:23:26', 0, 0),
(1, 'l6lf2g5u', '2018-09-14 15:16:25', 0, 0),
(2, 'l6lf2g5u', '2018-09-16 03:23:26', 0, 0),
(3, 'l6lf2g5u', '2018-09-14 17:12:36', 0, 0),
(2, 'Rpi8AnZC', '2018-09-16 03:23:26', 0, 0),
(2, 'SM61E0Xz', '2018-09-16 03:23:26', 0, 0),
(1, 'ZmE11R3z', '2018-09-14 15:16:25', 0, 0),
(2, 'ZmE11R3z', '2018-09-16 03:23:26', 0, 0),
(3, 'ZmE11R3z', '2018-09-14 17:12:36', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `log`
--

CREATE TABLE `log` (
  `id` int(11) NOT NULL,
  `crdate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `status` int(1) NOT NULL DEFAULT '1',
  `event` varchar(128) NOT NULL,
  `ip` varchar(128) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `mailparts`
--

CREATE TABLE `mailparts` (
  `id` int(11) NOT NULL,
  `crdate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `tstamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted` int(11) NOT NULL,
  `title` varchar(40) NOT NULL,
  `type` int(2) NOT NULL DEFAULT '0',
  `cat` int(2) DEFAULT '0',
  `text` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `mailparts`
--

INSERT INTO `mailparts` (`id`, `crdate`, `tstamp`, `deleted`, `title`, `type`, `cat`, `text`) VALUES
(1, '2018-09-14 20:19:07', '2018-09-16 04:10:22', 0, 'Einleitung', 2, 1, 'Verehrte Damen und Herren,\r\n\r\n'),
(2, '2018-09-14 23:15:13', '2018-09-16 04:05:56', 0, 'Anrede', 2, 2, 'Liebe Freunde,\r\n\r\n'),
(3, '2018-09-14 23:19:09', '2018-09-16 04:10:52', 0, 'Korpus A', 3, 2, 'Wie Ihr alle wisst, verschicken wir jetzt E-Mails.\r\n'),
(4, '2018-09-14 23:19:45', '2018-09-16 04:05:30', 0, 'Korpus B', 3, 2, 'Es gibt (noch) keinen Grund zu verzweifeln!\r\n'),
(5, '2018-09-14 23:20:39', '2018-09-16 04:09:21', 0, 'Schluss', 4, 1, '\r\nHochachtungsvoll, gutcode.\r\n'),
(6, '2018-09-14 23:21:06', '2018-09-16 04:09:48', 0, 'Schluss', 4, 2, '\r\nMit freundlichen Grüßen, gutco.\r\n'),
(7, '2018-09-15 12:50:53', '2018-09-16 04:10:42', 0, 'Korpus A', 3, 1, 'Wie Sie alle wissen, verschicken wir jetzt E-Mails.\r\n');

-- --------------------------------------------------------

--
-- Table structure for table `mailparts_categories`
--

CREATE TABLE `mailparts_categories` (
  `id` int(2) NOT NULL,
  `title` varchar(40) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `mailparts_categories`
--

INSERT INTO `mailparts_categories` (`id`, `title`) VALUES
(1, 'formell'),
(2, 'informell'),
(3, 'grell');

-- --------------------------------------------------------

--
-- Table structure for table `mailparts_mails`
--

CREATE TABLE `mailparts_mails` (
  `mail` int(11) NOT NULL,
  `mailpart` int(11) NOT NULL,
  `tstamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `mailparts_mails`
--

INSERT INTO `mailparts_mails` (`mail`, `mailpart`, `tstamp`) VALUES
(2, 2, '2018-09-16 01:27:12'),
(2, 3, '2018-09-16 01:27:12'),
(2, 4, '2018-09-16 01:27:12'),
(2, 6, '2018-09-16 01:27:12'),
(3, 1, '2018-09-16 00:12:19'),
(3, 4, '2018-09-16 00:12:19'),
(3, 5, '2018-09-16 00:12:19'),
(3, 7, '2018-09-16 00:12:19');

-- --------------------------------------------------------

--
-- Table structure for table `mailparts_types`
--

CREATE TABLE `mailparts_types` (
  `id` int(2) NOT NULL,
  `title` varchar(40) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `mailparts_types`
--

INSERT INTO `mailparts_types` (`id`, `title`) VALUES
(1, 'keine Restriktionen'),
(2, 'eingangs'),
(3, 'mittig'),
(4, 'spät'),
(5, 'kurz vor Schluss');

-- --------------------------------------------------------

--
-- Table structure for table `mails`
--

CREATE TABLE `mails` (
  `id` int(11) NOT NULL,
  `crdate` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `tstamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted` int(1) NOT NULL DEFAULT '0',
  `subj` varchar(128) NOT NULL DEFAULT '',
  `title` varchar(40) NOT NULL,
  `mailparts` int(1) NOT NULL DEFAULT '0',
  `text` text,
  `sent` int(11) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `mails`
--

INSERT INTO `mails` (`id`, `crdate`, `tstamp`, `deleted`, `subj`, `title`, `mailparts`, `text`, `sent`) VALUES
(1, '2018-09-08 01:28:51', '2018-09-15 16:26:11', 0, 'die erste mail von gutco', 'Erstes Anschreiben', 0, 'Theo Test testet testige Mails.', 0),
(2, '2018-09-12 06:54:58', '2018-09-16 04:10:52', 0, 'die zweite mail von gutco', 'Zweites Anschreiben', 1, 'Liebe Freunde,\r\n\r\n\nEs gibt (noch) keinen Grund zu verzweifeln!\r\n\nWie Ihr alle wisst, verschicken wir jetzt E-Mails.\r\n\n\r\nMit freundlichen Grüßen, gutco.\r\n', 0),
(3, '2018-09-14 17:00:02', '2018-09-16 04:10:42', 0, 'Hallo Leute!', 'drittes Anschreiben', 1, 'Verehrte Damen und Herren,\r\n\r\n\nWie Sie alle wissen, verschicken wir jetzt E-Mails.\r\n\nEs gibt (noch) keinen Grund zu verzweifeln!\r\n\n\r\nHochachtungsvoll, gutcode.\r\n', 0);

-- --------------------------------------------------------

--
-- Table structure for table `clients_sexes`
--

CREATE TABLE `clients_sexes` (
  `id` int(1) NOT NULL,
  `title` varchar(4) NOT NULL DEFAULT 'kein'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `clients_sexes`
--

INSERT INTO `clients_sexes` (`id`, `title`) VALUES
(1, 'Herr'),
(2, 'Frau'),
(3, 'ja!');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `campaigns`
--
ALTER TABLE `campaigns`
  ADD PRIMARY KEY (`id`),
  ADD KEY `name` (`title`),
  ADD KEY `active` (`active`),
  ADD KEY `mail` (`mail`),
  ADD KEY `comment` (`comment`(255)),
  ADD KEY `start` (`start`),
  ADD KEY `stop` (`stop`);

--
-- Indexes for table `clients`
--
ALTER TABLE `clients`
  ADD PRIMARY KEY (`id`),
  ADD KEY `email` (`email`),
  ADD KEY `deleted` (`deleted`),
  ADD KEY `name` (`name`),
  ADD KEY `campaigns` (`campaigns`),
  ADD KEY `codes` (`codes`),
  ADD KEY `sex` (`sex`);

--
-- Indexes for table `clients_campaigns`
--
ALTER TABLE `clients_campaigns`
  ADD PRIMARY KEY (`campaign`,`client`),
  ADD KEY `sent` (`notified`),
  ADD KEY `client` (`client`);

--
-- Indexes for table `clients_sexes`
--
ALTER TABLE `clients_sexes`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `codes`
--
ALTER TABLE `codes`
  ADD PRIMARY KEY (`code`),
  ADD KEY `active` (`active`),
  ADD KEY `link` (`link`(255)),
  ADD KEY `sent` (`sent`),
  ADD KEY `owner` (`owner`);

--
-- Indexes for table `codes_campaigns`
--
ALTER TABLE `codes_campaigns`
  ADD PRIMARY KEY (`code`,`campaign`),
  ADD KEY `campaign` (`campaign`);

--
-- Indexes for table `log`
--
ALTER TABLE `log`
  ADD PRIMARY KEY (`id`),
  ADD KEY `ip` (`ip`);

--
-- Indexes for table `mailparts`
--
ALTER TABLE `mailparts`
  ADD PRIMARY KEY (`id`),
  ADD KEY `type` (`type`),
  ADD KEY `group` (`cat`);

--
-- Indexes for table `mailparts_categories`
--
ALTER TABLE `mailparts_categories`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `mailparts_mails`
--
ALTER TABLE `mailparts_mails`
  ADD UNIQUE KEY `mail_2` (`mail`,`mailpart`),
  ADD KEY `mail` (`mail`,`mailpart`),
  ADD KEY `mailpart` (`mailpart`);

--
-- Indexes for table `mailparts_types`
--
ALTER TABLE `mailparts_types`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `mails`
--
ALTER TABLE `mails`
  ADD PRIMARY KEY (`id`),
  ADD KEY `title` (`title`),
  ADD KEY `subj` (`subj`) USING BTREE;

--
-- Indexes for table `clients_sexes`
--
ALTER TABLE `clients_sexes`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `campaigns`
--
ALTER TABLE `campaigns`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `clients`
--
ALTER TABLE `clients`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `log`
--
ALTER TABLE `log`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;

--
-- AUTO_INCREMENT for table `mailparts`
--
ALTER TABLE `mailparts`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `mailparts_categories`
--
ALTER TABLE `mailparts_categories`
  MODIFY `id` int(2) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `mailparts_types`
--
ALTER TABLE `mailparts_types`
  MODIFY `id` int(2) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `mails`
--
ALTER TABLE `mails`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `clients_sexes`
--
ALTER TABLE `clients_sexes`
  MODIFY `id` int(1) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `campaigns`
--
ALTER TABLE `campaigns`
  ADD CONSTRAINT `campaigns_ibfk_1` FOREIGN KEY (`mail`) REFERENCES `mails` (`id`);

--
-- Constraints for table `clients`
--
ALTER TABLE `clients`
  ADD CONSTRAINT `clients_ibfk_1` FOREIGN KEY (`sex`) REFERENCES `clients_sexes` (`id`);

--
-- Constraints for table `clients_campaigns`
--
ALTER TABLE `clients_campaigns`
  ADD CONSTRAINT `clients_campaigns_ibfk_1` FOREIGN KEY (`client`) REFERENCES `clients` (`id`),
  ADD CONSTRAINT `clients_campaigns_ibfk_2` FOREIGN KEY (`campaign`) REFERENCES `campaigns` (`id`);

--
-- Constraints for table `codes_campaigns`
--
ALTER TABLE `codes_campaigns`
  ADD CONSTRAINT `codes_campaigns_ibfk_1` FOREIGN KEY (`code`) REFERENCES `codes` (`code`),
  ADD CONSTRAINT `codes_campaigns_ibfk_2` FOREIGN KEY (`campaign`) REFERENCES `campaigns` (`id`);

--
-- Constraints for table `mailparts_mails`
--
ALTER TABLE `mailparts_mails`
  ADD CONSTRAINT `mailparts_mails_ibfk_1` FOREIGN KEY (`mail`) REFERENCES `mails` (`id`),
  ADD CONSTRAINT `mailparts_mails_ibfk_2` FOREIGN KEY (`mailpart`) REFERENCES `mailparts` (`id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
